<?PHP
require "sources/authorize.php";
require "settings.php";

if (!(isset($_POST['pizzano']))) {
  header('Location: index.php');
}

$fantasia = false;
$fantasia2 = false;
if ($_POST['pizzaid'] == $specialpizza) {
  $fantasia = true;
} else {
  if ($_POST['pizzaid'] == $specialpizza2) {
    $fantasia2 = true;
  }
}

foreach($_POST as $key => $value) {
  $value = preg_replace("/[\n\r]/","",$value);
  $value = str_replace("<","&lt;",$value);
  $value = str_replace(">","&gt;",$value);
  $value = str_replace("|","&#x7c;",$value);
  $value = str_replace("¤","&curren;",$value);
  if (file_exists("data/wordbans.dat")) {
    $value = str_replace(file("data/wordbans.dat"),"*beep*",$value);
  }
  $_POST[$key] = $value;
}

$errormsg = "";
if ($_POST['recipient'] == "") {
  $errormsg .= "<br />Tilaajan nimi ei voi olla tyhjä!";
} else {
  $filename = "data/tilaukset.dat";
  $id = count(file($filename)) + 1;
  $okay = true;

  switch ($_POST['size']) {
    case "normaali": $price = $_POST['pricen']; break;
    case "perhe": $price = $_POST['pricef']; break;
    case "eipizza": $price = $_POST['priceo']; break;
    default: $price = $_POST['pricen']; $errormsg .= "<br />Odottamaton pizzan koko. Jos ongelma toistuu, ota yhteys ylläpitäjään."; $okay = false; break;
  }
  
  if ($fantasia) {
    if (($_POST['fill1'] == "-") && ($_POST['fill2'] == "-") && ($_POST['fill3'] == "-") && ($_POST['fill4'] == "-")) {
      $okay = false;
      $errormsg .= "<br />Fantasia-tilauksessa on valittava vähintään yksi täyte!";
    }
  }
  
  if ($fantasia2) {
    if (($_POST['fill1'] == "-") && ($_POST['fill2'] == "-")) {
      $okay = false;
      $errormsg .= "<br />Lasten pizza -tilauksessa on valittava vähintään yksi täyte!";
    }
  }

  if ($locked) {
    $errormsg .= "Uusia tilauksia ei enää oteta vastaan!";
    $okay = false;
  }
  
  if ($okay) {
    $newline = "¤".$id."|".$_POST['recipient']."|".$_POST['pizzano']."|".$_POST['size']."|".$price."e|".$_POST['fill1']."|".$_POST['fill2']."|".$_POST['fill3']."|".$_POST['fill4']."|0|MAKSAMATTA\r";

    $fstream = fopen($filename, "a");
    if (!(flock($fstream, LOCK_EX))) {
      $errormsg .= "<br />Tiedoston lukitseminen epäonnistui! Ole hyvä ja lähetä lomake uudelleen.";
      fclose($fstream);
    } else {
      fwrite($fstream, $newline."\n");
      flock($fstream, LOCK_UN);
      fclose($fstream);
    }
  }
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/xhtml"> 
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="style.css" />
    <!--<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />-->
    <title>
      <?PHP
	echo $pagetitle.$pagetitlemid;
	if ($errormsg == "") {
	  echo "Tilauksen tiedot";
	} else {
	  echo "Tilaus epäonnistui";
	}
      ?>
    </title>
  </head>
  <body>
    <?PHP
      include "sources/header.php";
    ?>
    <div class="middle">
      <table width="99%; padding: 0px; margin: 0px; border-collapse: collapse;">
	<tr>
	  <td width="20%" style="vertical-align: top;">
	    <?PHP
	      include "sources/sidebar.php";
	    ?>
	  </td>
	  <td width="80%" style="vertical-align: top;">
	    <div class="content">
	      <?PHP
	      if ($errormsg == "") {
		$details = file('data/list.dat');
		$details = explode("|", $details[$_POST['pizzaid']]);
		echo "Tilaus on tallennettu onnistuneesti. Alla tilauksesi tiedot:<br /><br /><div class=\"orderbox\">";
		echo "<b>Tilaaja</b>: ".$_POST['recipient']."<br />";
		echo "<b>Tuote</b>: ".$details[1];
		switch ($_POST['size']) {
		  case "normaali":
		    if (!($fantasia2)) {
		      echo " (normaalikoko)";
		    }
		    break;
		  case "perhe": echo " (perhekoko)"; break;
		}
		if ($fantasia) {
		  echo ", täytteet: ";
		  if (!($_POST['fill1'] == "-")) {
		    echo $_POST['fill1'];
		  }
		  if (!($_POST['fill2'] == "-")) {
		    if (!($_POST['fill1'] == "-")) {
		      echo ", ";
		    }
		    echo $_POST['fill2'];
		  }
		  if (!($_POST['fill3'] == "-")) {
		    if ((!($_POST['fill1'] == "-")) || (!($_POST['fill2'] == "-"))) {
		      echo ", ";
		    }
		    echo $_POST['fill3'];
		  }
		  if (!($_POST['fill4'] == "-")) {
		    if ((!($_POST['fill1'] == "-")) || (!($_POST['fill2'] == "-")) || (!($_POST['fill3'] == "-"))) {
		      echo ", ";
		    }
		    echo $_POST['fill4'];
		  }
		} else {
		  if ($fantasia2) {
		    echo ", täytteet: ";
		    if (!($_POST['fill1'] == "-")) {
		      echo $_POST['fill1'];
		    }
		    if (!($_POST['fill2'] == "-")) {
		      if (!($_POST['fill1'] == "-")) {
			echo ", ";
		      }
		      echo $_POST['fill2'];
		    }
		  }
		}
		echo "<br />";
		echo "<b>Hinta</b>: ".$price."&euro;<br />";
		echo "<span style=\"font-size: 120%;\"><b>Tilausnumero</b>: ".$id."</span></div>";
		echo "Maksaessasi tarvitset tilausnumeroa, joten paina se mieleesi! Vain määräaikaan mennessä maksetut tuotteet tilataan pizzeriasta!";
	      } else {
		echo "Tilaus epäonnistui. Tilauksen aikana ilmenivät seuraavat virheet:<br />".$errormsg;
	      }
	      ?>
	    </div>
	  </td>
	</tr>
      </table>
    </div>
    <?PHP
      include "sources/footer.php";
    ?>
  </body>
</html>