<?PHP
require "sources/authorize.php";
require "settings.php";
if (!($adminenabled)) {
  header('Location: index.php');
}

$errormsg = "";
if ((isset($_POST['id'])) && (isset($_POST['status']))) {
  $filename = 'data/tilaukset.dat';
  if (file_exists($filename)) {
    $data = file($filename);
    $statuses = explode("|",file("data/status.dat"));
    
    unlink("data/tilaukset_backup.dat");
    copy($filename,"data/tilaukset_backup.dat");
    $fstream = fopen($filename, "w");
    if (!(flock($fstream, LOCK_EX))) {
      $errormsg .= "<br />Tiedoston lukitseminen epäonnistui! Ole hyvä ja yritä uudelleen (ota varmuuden vuoksi 'tilaukset_backup.dat' talteen tietojen häviämisen varalta ennen uudelleenyrittämistä).";
      fclose($fstream);
      copy("data/tilaukset_backup.dat",$filename);
    } else {
      foreach($data as $line => $raw) {
	if ($line == $_POST['id']) {
	  $lineinfo = explode("|",$raw);
	  $lineinfo[10] = $_POST['status']."\n";
	  if ($lineinfo[10] == $statuses[0]) {
	    $lineinfo[9] = 0;
	  } else {
	    $lineinfo[9] = 1;
	  }
	  $raw = implode("|",$lineinfo);
	}
	fwrite($fstream,$raw);
      }
      flock($fstream, LOCK_UN);
      fclose($fstream);
    }
  }
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/xhtml"> 
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="style.css" />
    <!--<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
    <link rel="icon" href="favicon.ico" type="image/x-icon" />-->
    <title><?PHP echo $pagetitle.$pagetitlemid; ?>Tilauslista</title>
  </head>
  <body>
    <?PHP
      include "sources/header.php";
    ?>
    <div class="middle">
      <table width="99%; padding: 0px; margin: 0px; border-collapse: collapse;">
	<tr>
	  <td width="20%" style="vertical-align: top;">
	    <?PHP
	      include "sources/sidebar.php";
	    ?>
	  </td>
	  <td width="80%" style="vertical-align: top;">
	    <div class="content">
	      Taulukosta näet tilausten tiedot.<br /><br />
	      <table class="checktable">
		<tr>
		  <td class="titlecell" width="10%">Tilausnro</td>
		  <td class="titlecell" width="25%">Tilaaja</td>
		  <td class="titlecell" width="50%">Tuote</td>
		  <td class="titlecell" width="15%">Tila</td>
		</tr>
		<?PHP
		  if (file_exists("data/tilaukset.dat")) {
		    $data = file("data/tilaukset.dat");
		    $list = file("data/list.dat");
		    $statuses = file("data/status.dat");
		    if (count($data) == 0) {
		      echo "<tr class=\"cellrow\"><td colspan=\"4\" class=\"checkcell\">Ei tilauksia!</tr>";
		    } else {
		      foreach($data as $key => $details) {
		      $details = explode("|",$details);
		      echo "<tr class=\"cellrow\"><td class=\"checkcell\">".substr($details[0],2)."</td>";
		      echo "<td class=\"checkcell\">".$details[1]."</td>";
		      echo "<td class=\"checkcell\">";
		      $fantasia = false;
		      $fantasia2 = false;
		      foreach($list as $key2 => $pizza) {
			$pizzasub = explode("|",$pizza);
			if ($pizzasub[0] == $details[2]) {
			  echo $pizzasub[1];
			  if ($key2 == $specialpizza) {
			    $fantasia = true;
			  } else {
			    if ($key2 == $specialpizza2) {
			      $fantasia2 = true;
			    }
			  }
			}
		      }
		      switch ($details[3]) {
			case "normaali": echo " (normaalikoko)"; break;
			case "perhe": echo " (perhekoko)"; break;
		      }
		      $price = substr($details[4],0,-1);
		      echo ", ".$price."&euro;";
		      if ($fantasia) {
			echo "<br />Täytteet: ";
			if (!($details[5] == "-")) {
			  echo $details[5];
			}
			if (!($details[6] == "-")) {
			  if (!($details[5] == "-")) {
			    echo ", ";
			  }
			  echo $details[6];
			}
			if (!($details[7] == "-")) {
			  if ((!($details[5] == "-")) || (!($details[6] == "-"))) {
			    echo ", ";
			  }
			  echo $details[7];
			}
			if (!($details[8] == "-")) {
			  if ((!($details[5] == "-")) || (!($details[6] == "-")) || (!($details[7] == "-"))) {
			    echo ", ";
			  }
			  echo $details[8];
			}
		      } else {
			if ($fantasia2) {
			  echo "<br />Täytteet: ";
			  if (!($details[5] == "-")) {
			    echo $details[5];
			  }
			  if (!($details[6] == "-")) {
			    if (!($details[5] == "-")) {
			      echo ", ";
			    }
			    echo $details[6];
			  }
			}
		      }
		      echo "</td>";
		      echo "<td class=\"checkcell\"><form action=\"check.php\" method=\"post\">";
		      echo "<input type=\"hidden\" name=\"id\" value=\"".$key."\" />";
		      echo "<select name=\"status\" onchange=\"submit();\">";
		      foreach($statuses as $key3 => $statusname) {
			echo "<option value=\"".$statusname."\"";
			if ($details[10] == $statusname) {
			  echo " selected=\"selected\"";
			}
			echo ">".$statusname;
			echo "</option>\n";
		      }
		      echo "</select>";
		      echo "<!--[if IE]><input type=\"submit\" value=\"Päivitä\" /><![endif]--></form></td></tr>";
		      }
		    }
		  } else {
		    echo "<span style=\"color: #ff0000;\">Pizzatilauksien tiedot sisältävä tiedosto puuttuu! Ilmoita ylläpitäjälle asiasta. Puuttuva tiedosto on nimeltään 'data/tilaukset.dat'.</span>";
		  }
		?>
	      </table>
	    </div>
	  </td>
	</tr>
      </table>
    </div>
    <?PHP
      include "sources/footer.php";
    ?>
  </body>
</html>